import request from './request'


export default {
    userList(data) {
        return request({
            url: '/user/userList',
            method: 'post',
            data
        });
    },
    addUser(data) {
        return request({
            url: '/user/addUser',
            method: 'post',
            data
        });
    },
    editUserStatus(data) {
        return request({
            url: '/user/editUserStatus',
            method: 'post',
            data
        });
    },
    delUser(data) {
        return request({
            url: '/user/delUser',
            method: 'post',
            data
        });
    },editUser(data) {
        return request({
            url: '/user/editUser',
            method: 'post',
            data
        });
    },getRoleList() {
        return request({
            url: '/role/roleList',
            method: 'get'
        });
    },changeRoleStatus(data) {
        return request({
            url: '/role/changeRoleStatus',
            method: 'post',
            data
        });
    }
}
